### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.discovery

# Class ServiceGroupAttribute

java.lang.Object
com.sas.services.AbstractServiceAttribute
com.sas.services.discovery.ServiceGroupAttribute

All Implemented Interfaces:
  `ServiceAttributeInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class ServiceGroupAttribute extends AbstractServiceAttribute
A service attribute that denotes membership in a group of software components.

This attribute may be used by a service to define its service discovery configuration which will permit service requesters to find a service that is a member of a particular service group.

Since:
  1.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `group`
  Name of the service's deployment group.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceGroupAttribute()`
  Constructs a default instance with an unspecified group.
  `ServiceGroupAttribute(String attributeGroup)`
  Constructs an instance of using the specified group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getFieldNameToValueMap()`
  Gets a map of this attribute's fields and their values which includes the deployment group plus fields defined in the superclass.

  ### Methods inherited from class com.sas.services.AbstractServiceAttribute

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### group

    public String group
    Name of the service's deployment group.

- ## Constructor Details

  - ### ServiceGroupAttribute

    public ServiceGroupAttribute()
    Constructs a default instance with an unspecified group.

  - ### ServiceGroupAttribute

    public ServiceGroupAttribute(String attributeGroup)
    Constructs an instance of using the specified group. Use `null` to specify a "don't care" parameter.
    Parameters:
      `attributeGroup` - The group's name (i.e. "Core Platform Services", `null`).

- ## Method Details

  - ### getFieldNameToValueMap

    public Map<String,String> getFieldNameToValueMap()
    Gets a map of this attribute's fields and their values which includes the deployment group plus fields defined in the superclass.
    Overrides:
      `getFieldNameToValueMap` in class `AbstractServiceAttribute`
    Returns:
      Map keyed by the `String` names of a field to their values.